Debian Bug report logs - #711359
ITP: python-first -- simple function that returns the first true value from an iterable

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julien Danjou <acid@debian.org>

Date: Thu, 6 Jun 2013 14:33:11 UTC

Owned by: Julien Danjou <acid@debian.org>

Severity: wishlist

Fixed in version python-first/2.0.0-1

Done: Julien Danjou <acid@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#711359; Package wnpp. (Thu, 06 Jun 2013 14:33:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 06 Jun 2013 14:33:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-first -- simple function that returns the first true value from an iterable
Date: Thu, 06 Jun 2013 16:31:43 +0200
Package: wnpp
Severity: wishlist
Owner: Julien Danjou <acid@debian.org>

* Package name    : python-first
  Version         : 2.0.0
  Upstream Author : Hynek Schlawack
* URL             : https://pypi.python.org/pypi/first
* License         : MIT
  Programming Lang: Python
  Description     : simple function that returns the first true value from an iterable

A MIT licensed Python package with a simple function that returns the
first true value from an iterable, or None if there is none. If you need
more power, you can also supply a key function that is used to judge the
truth value of the element or a default value if None doesn’t fit your
use case.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julien Danjou <acid@debian.org>:
Bug#711359; Package wnpp. (Thu, 06 Jun 2013 15:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julien Danjou <acid@debian.org>. (Thu, 06 Jun 2013 15:03:08 GMT) Full text and rfc822 format available.

Message #10 received at 711359@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Julien Danjou <acid@debian.org>, 711359@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#711359: ITP: python-first -- simple function that returns the first true value from an iterable
Date: Thu, 6 Jun 2013 21:01:05 +0600
[Message part 1 (text/plain, inline)]
On Thu, Jun 06, 2013 at 04:31:43PM +0200, Julien Danjou wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Julien Danjou <acid@debian.org>
> 
> * Package name    : python-first
>   Version         : 2.0.0
>   Upstream Author : Hynek Schlawack
> * URL             : https://pypi.python.org/pypi/first
> * License         : MIT
>   Programming Lang: Python
>   Description     : simple function that returns the first true value from an iterable
> 
> A MIT licensed Python package with a simple function that returns the
> first true value from an iterable, or None if there is none. If you need
> more power, you can also supply a key function that is used to judge the
> truth value of the element or a default value if None doesn’t fit your
> use case.
Is that a dependency for something else?
The software contains 10 lines that can be considered code.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julien Danjou <acid@debian.org>:
Bug#711359; Package wnpp. (Sun, 09 Jun 2013 09:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julien Danjou <acid@debian.org>. (Sun, 09 Jun 2013 09:18:04 GMT) Full text and rfc822 format available.

Message #15 received at 711359@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: debian-devel@lists.debian.org
Cc: Andrey Rahmatullin <wrar@wrar.name>, Julien Danjou <acid@debian.org>, 711359@bugs.debian.org
Subject: Re: Bug#711359: ITP: python-first -- simple function that returns the first true value from an iterable
Date: Sun, 09 Jun 2013 11:14:56 +0200
[Message part 1 (text/plain, inline)]
On Thursday, June 06, 2013 09:01:05 PM Andrey Rahmatullin wrote:
> On Thu, Jun 06, 2013 at 04:31:43PM +0200, Julien Danjou wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Julien Danjou <acid@debian.org>
> > 
> > * Package name    : python-first
> > 
> >   Version         : 2.0.0
> >   Upstream Author : Hynek Schlawack
> > 
> > * URL             : https://pypi.python.org/pypi/first
> > * License         : MIT
> > 
> >   Programming Lang: Python
> >   Description     : simple function that returns the first true value from
> >   an iterable> 
> > A MIT licensed Python package with a simple function that returns the
> > first true value from an iterable, or None if there is none. If you need
> > more power, you can also supply a key function that is used to judge the
> > truth value of the element or a default value if None doesn’t fit your
> > use case.
> 
> Is that a dependency for something else?
> The software contains 10 lines that can be considered code.
I haven't looked at the code but you can do this in one line with itertools 
and a combination of keepwhile and dropwhile.


Thomas Koch, http://www.koch.ro
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 11 Jun 2013 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Julien Danjou <acid@debian.org>:
You have taken responsibility. (Fri, 19 Jul 2013 06:03:05 GMT) Full text and rfc822 format available.

Notification sent to Julien Danjou <acid@debian.org>:
Bug acknowledged by developer. (Fri, 19 Jul 2013 06:03:05 GMT) Full text and rfc822 format available.

Message #22 received at 711359-close@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: 711359-close@bugs.debian.org
Subject: Bug#711359: fixed in python-first 2.0.0-1
Date: Fri, 19 Jul 2013 06:00:06 +0000
Source: python-first
Source-Version: 2.0.0-1

We believe that the bug you reported is fixed in the latest version of
python-first, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711359@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Danjou <acid@debian.org> (supplier of updated python-first package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 06 Jun 2013 16:42:54 +0200
Source: python-first
Binary: python-first python3-first
Architecture: source all
Version: 2.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Julien Danjou <acid@debian.org>
Changed-By: Julien Danjou <acid@debian.org>
Description: 
 python-first - simple function that returns the first true value from an iterabl
 python3-first - simple function that returns the first true value from an iterabl
Closes: 711359
Changes: 
 python-first (2.0.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #711359)
Checksums-Sha1: 
 572fd42ce28c952b55ccd552ada087339171d0f6 2083 python-first_2.0.0-1.dsc
 6f93115fe6c47b0db571035c0558036b19732e5f 4948 python-first_2.0.0.orig.tar.gz
 ba78c294f32479d300af670ccc6360e07f6680b3 2145 python-first_2.0.0-1.debian.tar.gz
 e44dc5e71f4462db235ca7acc9fe1701f5821930 6334 python-first_2.0.0-1_all.deb
 a594a4c1a3918a321074a9d0adddf547025f552a 5750 python3-first_2.0.0-1_all.deb
Checksums-Sha256: 
 babcc49d0a223e21635aa72ee9f9e04062f34351e3d79f34a2cd06173775b1bf 2083 python-first_2.0.0-1.dsc
 c5711941f8ba8b091e73713eb0b45ddab663c060de324973b4cdd2290a1524ec 4948 python-first_2.0.0.orig.tar.gz
 5bcb5d5e2f46c872e08a50fa4ec20ca00523dc2bacdaf78538b306db39cfd3d1 2145 python-first_2.0.0-1.debian.tar.gz
 0c24c2612ccf86d635834957ec1a4d00c7b9b44a7a0ef42e61ba3d4b05bfec56 6334 python-first_2.0.0-1_all.deb
 0980441e6ba70246f786bd5c6438c3981d94e1e0f7daae14d6781a3380be14bc 5750 python3-first_2.0.0-1_all.deb
Files: 
 0260681d0a3400805b42ce54aecba711 2083 python extra python-first_2.0.0-1.dsc
 894015e227d749f9f02b43b6d337cc3c 4948 python extra python-first_2.0.0.orig.tar.gz
 db474a1fd94a89d2035571c9ddd0418c 2145 python extra python-first_2.0.0-1.debian.tar.gz
 756f683d36f8b26c87917da16fc2bd79 6334 python extra python-first_2.0.0-1_all.deb
 b33a0aa52ae4541a754b1a2425d09f90 5750 python extra python3-first_2.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRtypMAAoJEGEbqVCLeKXCFHUP/0loskWIQgHVsAhfHMvMaeyp
//At6YTEV9qWpH57fR63ZionrtJWYFKSWt4Bn9E6r0fsGvfN0HQ+uCHBbHwyppoJ
F2B1uczNw0rDKjgSgl4tJJ+ocjiMh/NA+LoGiRcolqJZgyin8eSdN7T75MVmgzpE
etv2wCLesutdinsZBinRg+KUg/i4l1j+E6WUYg5YKNCqHro0WRP0gUXqSEpmdTFG
NZUSbE4Sly7KWMnrXAViGJIp70HYaYlMIG2ZjVZeklA2FCbGvDwBvA17OrMN0ryD
AEmvASGoXSMcc+5xZly0JyqTQq0gwGiIrukf6XPVKKQ0Edq9mllnGx39D57C1rJi
ln7W+jqYgRSb0ZjMmg47XL8LkEvVJoag0vzuy680eFKFlaUg0VNpNWCAjmwi9qWI
sJJYszf/0QbN8dYWQkgX3DYChbEn6WNvp3OmY1Mw2JzB0ZPZ/Hii9C1EzrJzNLa/
lgCfmxGo9LE7ZSV7I9vEE1KxGLeFEbeO/70OMhpxe+F8roLI0W3Ep5Km4nTLP5hQ
AmPhLsTIRMWuLhEVymx062OonVSvWt3iWVuviyrSuRDPJxtQT+Znp6r5vNx04VIp
lHGkpPkQkwU5P3E5EogpnmRGq0Zzhe3PDTZbgWuJ6vbyPzBNAlm/7P4COsZVHtx7
YTRgT9f82p6CU8yLMcve
=QeYh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Aug 2013 07:33:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:32:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.